View Issue Details

IDProjectCategoryView StatusLast Update
00031093 - Current Dev ListBugpublic2019-02-05 15:15
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.184 
Target VersionFixed in Version6.5.0.188 
Summary0003109: FT-891 "key pitch" slider doesn't work correctly
DescriptionRig Control's "key pitch" slider doesn't correctly set the radio, or reflect the radio's setting.
Steps To Reproduce
1) Start up Rig Control. Connect to the FT-891.
2) Make sure the "Key pitch" slider is visible
3) tap the "F" button on the radio to b ring up the menus
4) Repeatedly tap the "F" button to reach the "CW SETTING" menu
5) Use the Multi knob to highlight "PITCH"
6) Press the Multi knob to open the "PITCH" window
7) Rotate the multi knob anti-clockwise until the setting on the radio is "300Hz"
8) Note that Rig Control displays "300 Hz" in its slider
9) Rotate the Multi knob clockwise until the setting on the radio is "1050Hz"

BUG#1) Rig Control's slider shows "Key pitch: 75", with no "Hz" indicator

10) Move the rig control slider as far right as possible. It now says "Key pitch: 105")

BUG#1) The radio isn't changed, and the key pitch slider bounces back to 75
TagsFT-891, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

Activities

K7ZCZ

2019-01-29 15:40

manager   ~0007134

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4781

WA9PIE

2019-02-05 15:15

administrator   ~0007274

Validated

Issue History

Date Modified Username Field Change
2019-01-26 17:51 K7ZCZ New Issue
2019-01-26 17:52 K7ZCZ Tag Attached: FT-891
2019-01-26 17:52 K7ZCZ Tag Attached: Yaesu
2019-01-29 15:40 K7ZCZ Assigned To => K7ZCZ
2019-01-29 15:40 K7ZCZ Status new => resolved
2019-01-29 15:40 K7ZCZ Resolution open => fixed
2019-01-29 15:40 K7ZCZ Note Added: 0007134
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-05 15:15 WA9PIE Status resolved => closed
2019-02-05 15:15 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-05 15:15 WA9PIE Testing Not Started => Beta Successful
2019-02-05 15:15 WA9PIE Note Added: 0007274